Skip to main content
PUT
Update Webhook

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

webhookId
string
required

Body

application/json
version
integer<int64>
required

Indicates the data integrity version to ensure data consistency.

name
string
required

The name of the webhook.

Minimum string length: 1
url
string
required

The URL to which the webhook will send notifications.

Minimum string length: 1
technicalContactId
string
required

A reference to an administrative user used to inform system administrators of issues with the webhooks.

events
enum<string>[]
required

A list of events that will trigger this webhook.

Required array length: 1 - 2147483647 elements
Available options:
EXPORT_READY,
FILE_MANAGER_FILE_ADDED,
DATA_ADDED,
INGESTION_COMPLETE,
INGESTION_FAILED,
ANALYSIS_COMPLETE,
ANALYSIS_FAILED,
UNMAPPED_ACCOUNTS,
ENGAGEMENT_CREATED,
ENGAGEMENT_UPDATED,
ENGAGEMENT_DELETED,
ANALYSIS_CREATED,
ANALYSIS_UPDATED,
ANALYSIS_DELETED,
ANALYSIS_ARCHIVED,
ANALYSIS_UNARCHIVED,
USER_INVITED,
USER_STATUS_UPDATED,
USER_ROLE_UPDATED,
USER_DELETED,
USER_LOGIN
status
enum<string>
required

The current status of the webhook.

Available options:
ACTIVE,
INACTIVE

Response

200 - application/json

OK

id
string

The unique object identifier.

version
integer<int64>

Indicates the data integrity version to ensure data consistency.

creationDate
string<date-time>
lastModifiedDate
string<date-time>
createdUserInfo
User Info · object
read-only
lastModifiedUserInfo
User Info · object
read-only
name
string

The name of the webhook.

url
string

The URL to which the webhook will send notifications.

technicalContactId
string

A reference to an administrative user used to inform system administrators of issues with the webhooks.

events
enum<string>[]

A list of events that will trigger this webhook.

Available options:
EXPORT_READY,
FILE_MANAGER_FILE_ADDED,
DATA_ADDED,
INGESTION_COMPLETE,
INGESTION_FAILED,
ANALYSIS_COMPLETE,
ANALYSIS_FAILED,
UNMAPPED_ACCOUNTS,
ENGAGEMENT_CREATED,
ENGAGEMENT_UPDATED,
ENGAGEMENT_DELETED,
ANALYSIS_CREATED,
ANALYSIS_UPDATED,
ANALYSIS_DELETED,
ANALYSIS_ARCHIVED,
ANALYSIS_UNARCHIVED,
USER_INVITED,
USER_STATUS_UPDATED,
USER_ROLE_UPDATED,
USER_DELETED,
USER_LOGIN
publicKey
string

The public key used to verify the webhook signature.

status
enum<string>

The current status of the webhook.

Available options:
ACTIVE,
INACTIVE
keyGenerationTimestamp
string<date-time>